Subject: Re: [PATCH] [net-next] net: ip, diag: include net/inet_sock.h

From: Cyrill Gorcunov <[email-masked]>
Date: Tue, 25 Oct 2016 19:06:02 +0300

On Tue, Oct 25, 2016 at 05:53:22PM +0200, Arnd Bergmann wrote:
> The newly added raw_diag.c fails to build in some configurations
> unless we include this header:
> 
> In file included from net/ipv4/raw_diag.c:6:0:
> include/net/raw.h:71:21: error: field 'inet' has incomplete type
> net/ipv4/raw_diag.c: In function 'raw_diag_dump':
> net/ipv4/raw_diag.c:166:29: error: implicit declaration of function 'inet_sk'
> 
> Fixes: 432490f9d455 ("net: ip, diag -- Add diag interface for raw sockets")
> Signed-off-by: Arnd Bergmann <[email-masked]>

Thank you! And sorry for this, it didn't trigger on my testing.